<?php
/**
 * Plugin Name: Cookie Dunker
 * Plugin URL: https://www.splitanatom.com/services/web-design-development/cookie-dunker/
 * Description: Cookie Dunker replaces your embedded YouTube players with an ePrivacy-compliant version that does not serve tracking cookies. Cookie Dunker also removes Facebook Pixel's cookie.
 * Version: 1.6
 * Requires at least: 5.1
 * Requires PHP: 5.6
 * Author: Split An Atom
 * Author URI: https://www.splitanatom.com
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: cookie-dunker
 */

// Add "nocookie" To WordPress oEmbed YouTube Videos
function ev_youtube_nocookie_oembed( $html ) {
	return str_replace( 'youtube.com', 'youtube-nocookie.com', $html );
}
add_filter( 'embed_oembed_html', 'ev_youtube_nocookie_oembed' ); // WordPress
add_filter( 'video_embed_html', 'ev_youtube_nocookie_oembed' ); // Jetpack
add_filter('facebook_for_woocommerce_integration_pixel_enabled', '__return_false');